struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Al Sutton (JIRA)" <j...@apache.org>
Subject [jira] Issue Comment Edited: (WW-2586) Struts 1 plugin pom has dependancy on 1.3.5
Date Thu, 10 Apr 2008 06:27:05 GMT

    [ https://issues.apache.org/struts/browse/WW-2586?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=43601#action_43601
] 

alsutton edited comment on WW-2586 at 4/9/08 11:25 PM:
--------------------------------------------------------

Note: After the upgrade the compile fails with the error;

D:\Struts2\Build\struts2\plugins\struts1\src\main\java\org\apache\struts2\s1\WrapperModuleConfig.java:[41,0]
org.apache.struts2.s1.WrapperModuleConfig is not abstract and does not override abstract method
findActionConfigId(java.lang.String) in org.apache.struts.config.ModuleConfig

D:\Struts2\Build\struts2\plugins\struts1\src\main\java\org\apache\struts2\s1\WrapperModuleConfig.java:[41,0]
org.apache.struts2.s1.WrapperModuleConfig is not abstract and does not override abstract method
findActionConfigId(java.lang.String) in org.apache.struts.config.ModuleConfig

      was (Author: alsutton):
    Note: After the upgrade the compile fails with the error;

D:\Struts2\Build\struts2\plugins\struts1\src\main\java\org\apache\struts2\s1\Wra
pperModuleConfig.java:[41,0] org.apache.struts2.s1.WrapperModuleConfig is not ab
stract and does not override abstract method findActionConfigId(java.lang.String
) in org.apache.struts.config.ModuleConfig



D:\Struts2\Build\struts2\plugins\struts1\src\main\java\org\apache\struts2\s1\Wra
pperModuleConfig.java:[41,0] org.apache.struts2.s1.WrapperModuleConfig is not ab
stract and does not override abstract method findActionConfigId(java.lang.String
) in org.apache.struts.config.ModuleConfig
  
> Struts 1 plugin pom has dependancy on 1.3.5
> -------------------------------------------
>
>                 Key: WW-2586
>                 URL: https://issues.apache.org/struts/browse/WW-2586
>             Project: Struts 2
>          Issue Type: Improvement
>          Components: Build Management
>    Affects Versions: 2.1.1
>         Environment: Maven Build
>            Reporter: Al Sutton
>            Priority: Trivial
>         Attachments: struts1_plugin_s1_1_3_5_to_1_3_8.diff
>
>
> The struts1-plugin pom references S1.3.5 instead of S1.3.8, the attached patch corrects
this.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message